# Delete a MariaDB Cluster

You can delete a MariaDB cluster using its `UUID`. The response body will provide details about the cluster's `UUID` once a MariaDB cluster has been created or when obtaining a list of clusters.

## Request

{% hint style="info" %}
**Note:** Remember to update your `UUID`. The sample `UUID` in the example is `498ae72f-411f-11eb-9d07-046c59cc737e`.
{% endhint %}

```bash
curl -X 'DELETE' \
  'https://mariadb.de-txl.ionos.com/clusters/498ae72f-411f-11eb-9d07-046c59cc737e' \
  -H 'accept: application/json'
```

## Response

**202 Successful operation**

```json
  {
  "type": "cluster",
  "id": "498ae72f-411f-11eb-9d07-046c59cc737e",
  "metadata": {
    "createdDate": "2020-12-10T13:37:50+01:00",
    "createdBy": "john.doe@example.com",
    "createdByUserId": "87f9a82e-b28d-49ed-9d04-fba2c0459cd3",
    "lastModifiedDate": "2020-12-11T13:37:50+01:00",
    "lastModifiedBy": "jane.doe@example.com",
    "lastModifiedByUserId": "87f9a82e-b28d-49ed-9d04-fba2c0459cd3",
    "state": "DESTROYING"
  },
  "properties": {
    "displayName": "MariaDB cluster",
    "mariadbVersion": "10.6",
    "dnsName": "ma-yourcluster.mariadb.region.ionos.com",
    "instances": 2,
    "ram": 2,
    "cores": 4,
    "storageSize": 10,
    "connections": [
      {
        "datacenterId": "5a029f4a-72e5-11ec-90d6-0242ac120003",
        "lanId": "2",
        "cidr": "192.168.1.100/24"
      }
    ],
    "maintenanceWindow": {
      "time": "16:30:59",
      "dayOfTheWeek": "Monday"
    }
  }
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.ionos.com/cloud/databases/mariadb/api-howtos/delete-mariadb-cluster.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
